DateFormatTransformer (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.dataimport.DateFormatTransformer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.dataimport
Class DateFormatTransformer

    java.lang.Object
      org.apache.solr.handler.dataimport.Transformer
          org.apache.solr.handler.dataimport.DateFormatTransformer

    public class DateFormatTransformer

extends Transformer

`Transformer` instance which creates `Date` instances out of `String`s.

Refer to http://wiki.apache.org/solr/DataImportHandler for more details.

This API is experimental and subject to change

Since:
  solr 1.3
Version:
  $Id: DateFormatTransformer.java 1065312 2011-01-30 16:08:25Z rmuir $

Field Summary
`static String` | `DATE_TIME_FMT`

Constructor Summary
`DateFormatTransformer()`

Method Summary
`Object` | `transformRow(Map<String,Object> aRow, Context context)` The input is a row of data and the output has to be a new row.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATE_TIME_FMT

    public static final String DATE_TIME_FMT

See Also:
  Constant Field Values

Constructor Detail

### DateFormatTransformer

    public DateFormatTransformer()

Method Detail

### transformRow

    public Object transformRow(Map<String,Object> aRow,
                               Context context)

  Description copied from class: `Transformer`
  The input is a row of data and the output has to be a new row.

  Specified by:
    `transformRow` in class `Transformer`
  Parameters:
    `aRow` - A row of data
    `context` - The current context
  Returns:
    The changed data. It must be a `Map`<`String`, `Object`> if it returns only one row or if there are multiple rows to be returned it must be a `List`<`Map`<`String`, `Object`>>

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD